Package org.apache.tools.ant.taskdefs

# Class Zip.ArchiveState

java.lang.Object
org.apache.tools.ant.taskdefs.Zip.ArchiveState

Enclosing class:
  Zip

    public static class Zip.ArchiveState
    extends java.lang.Object

Holds the up-to-date status and the out-of-date resources of the original archive.

Since:
  Ant 1.5.3

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Resource[][]` | `getResourcesToAdd()` | Get the resources to add.
`boolean` | `isOutOfDate()` | Return the outofdate status.
`boolean` | `isWithoutAnyResources()` | find out if there are absolutely no resources to add

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isOutOfDate

public boolean isOutOfDate()
Return the outofdate status.

Returns:
  the outofdate status

### getResourcesToAdd

public Resource[][] getResourcesToAdd()
Get the resources to add.

Returns:
  the resources to add

### isWithoutAnyResources

public boolean isWithoutAnyResources()
find out if there are absolutely no resources to add

Returns:
  true if there are no resources to add
Since:
  Ant 1.6.3